Bug 1056636 - Missing dependencies of jboss-ec2-eap-7.3.1 RPM package
Summary: Missing dependencies of jboss-ec2-eap-7.3.1 RPM package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RPMs
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR3
: EAP 6.2.1
Assignee: Permaine Cheung
QA Contact: Hynek Mlnarik
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:33 UTC by Hynek Mlnarik
Modified: 2015-09-01 03:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 20:14:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Hynek Mlnarik 2014-01-22 15:33:18 UTC
When performing "yum update" in an EC2 instance launched from official EAP 6.0.1 Amazon AMI, the update of the jboss-ec2-eap-7.3.1-1.Final_redhat_1.ep6.el6 package from https://errata.devel.redhat.com/advisory/16506 fails for missing dependencies.

[...]
05:10:17 --> Finished Dependency Resolution
05:10:17 Error: Package: jboss-ec2-eap-7.3.1-1.Final_redhat_1.ep6.el6.noarch (localrepo)
05:10:17            Requires: jbossas-domain = 7.3.1
05:10:17            Removing: jbossas-domain-7.1.3-4.Final_redhat_4.ep6.el6.noarch (@koji-override-1/$releasever)
05:10:17                jbossas-domain = 7.1.3-4.Final_redhat_4.ep6.el6
05:10:17            Updated By: jbossas-domain-7.3.0-22.Final_redhat_14.1.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-domain = 7.3.0-22.Final_redhat_14.1.ep6.el6
05:10:17            Available: jbossas-domain-7.1.2-8.Final_redhat_1.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-domain = 7.1.2-8.Final_redhat_1.ep6.el6
05:10:17            Available: jbossas-domain-7.2.0-8.Final_redhat_8.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-domain = 7.2.0-8.Final_redhat_8.ep6.el6
05:10:17            Available: jbossas-domain-7.2.1-5.Final_redhat_10.1.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-domain = 7.2.1-5.Final_redhat_10.1.ep6.el6
05:10:17 Error: Package: jboss-on-agent-init-ec2-3.1.2.GA-1.el6_3.noarch (@koji-override-1/$releasever)
05:10:17            Requires: jboss-on-agent = 3.1.2.GA-1.el6_3
05:10:17            Removing: jboss-on-agent-3.1.2.GA-1.el6_3.noarch (@koji-override-1/$releasever)
05:10:17                jboss-on-agent = 3.1.2.GA-1.el6_3
05:10:17            Updated By: jboss-on-agent-3.2.0.GA-7.el6_5.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jboss-on-agent = 3.2.0.GA-7.el6_5
05:10:17            Available: jboss-on-agent-3.1.1.GA-1.el6_3.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jboss-on-agent = 3.1.1.GA-1.el6_3
05:10:17 Error: Package: jboss-ec2-eap-7.3.1-1.Final_redhat_1.ep6.el6.noarch (localrepo)
05:10:17            Requires: jbossas-standalone = 7.3.1
05:10:17            Removing: jbossas-standalone-7.1.3-4.Final_redhat_4.ep6.el6.noarch (@koji-override-1/$releasever)
05:10:17                jbossas-standalone = 7.1.3-4.Final_redhat_4.ep6.el6
05:10:17            Updated By: jbossas-standalone-7.3.0-7.Final_redhat_14.1.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-standalone = 7.3.0-7.Final_redhat_14.1.ep6.el6
05:10:17            Available: jbossas-standalone-7.1.2-8.Final_redhat_1.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-standalone = 7.1.2-8.Final_redhat_1.ep6.el6
05:10:17            Available: jbossas-standalone-7.2.0-8.Final_redhat_8.ep6.el6.noarch (rhui-us-east-1-jbeap-6-rhui-rhel-6-rpms)
05:10:17                jbossas-standalone = 7.2.0-8.Final_redhat_8.ep6.el6
05:10:17            Available: jbossas-standalone-7.2.1-6.Final_redhat_10.1.ep6.el6.noarch

The packages for the EAP 6.2.1 update (https://errata.devel.redhat.com/advisory/16505) were made available to yum while updating.

Comment 1 Permaine Cheung 2014-01-22 19:59:32 UTC
Fixed in jboss-ec2-eap-7.3.1-2.Final_redhat_1.ep6.el6, and we were able to install that successfully in a VM with 6.2.1, will update the erratum once it's sent back to us.

Comment 2 Hynek Mlnarik 2014-01-28 15:29:00 UTC
Verified, fixed in jboss-ec2-eap-7.3.1-2.Final_redhat_2.ep6.el6.


Note You need to log in before you can comment on or make changes to this bug.